import cv2
import numpy as np
import math

centimeter = 1270 / 7
x = 10.19133858
y = 13.69133858

polovica_kamery_vyska = 1.84
dlzka_pohladu = 45.897 * (math.sin(math.radians(90)) / math.sin(math.radians(78)))
print("dlzka pohladu: " + str(dlzka_pohladu))

sirka_od_7_cm = y
vzdialenost_od_7_cm = math.sqrt(sirka_od_7_cm*sirka_od_7_cm + dlzka_pohladu*dlzka_pohladu)
print("sirka od 7 cm: " + str(sirka_od_7_cm))
print("vzdialenost od pohladu: " + str(vzdialenost_od_7_cm))

focal_length = 8588.194311
distance_obj_cm = (7 * focal_length) / 1387# vypočíta sa vzdialenosť medzi kamerou a objektom, focal length = 8588.194311 pri výške kamery 45 cm
print("focal length: " + str(focal_length))
print("vzdialenost od prekazky: " + str(distance_obj_cm))

polovica_kamery_sirka = 1.8
vzdialenost_prava_strana = 8.179527559055119 # pravá strana v centimetroch
a = math.sqrt(distance_obj_cm*distance_obj_cm - vzdialenost_prava_strana*vzdialenost_prava_strana) # vypočítanie strany trojuholníka pomocou cosínusovej vety, ktorá tvorí časť pohľadu kamery na kraji obrázka
strana_c_cm = dlzka_pohladu - a - polovica_kamery_sirka # vypočítanie prepony v malom trojuholníku, v ktorom je jedna strana výškou objektu
vyska_obj_cm = strana_c_cm * (math.sin(math.radians(78)) / math.sin(math.radians(90))) # výška objektu vypočítaná pomocou sínusovej vety
print("vzdialenost_prava_strana: " + str(vzdialenost_prava_strana))
print("strana a: " + str(a))
print("strana c: " + str(strana_c_cm))
print("vyska_obj_cm: " + str(vyska_obj_cm))
